## jackaudiosink jackaudiosink — Output to Jack |

## Synopsis

                        GstJackAudioSink;

## Properties

      "connect"                  GstJackConnect        : Read / Write
      "server"                   gchar*                : Read / Write

## Description

A Sink that outputs data to Jack ports.

It will create N Jack ports named out_<name>_<num> where <name> is the element name and <num> is starting from 1. Each port corresponds to a gstreamer channel.

The samplerate as exposed on the caps is always the same as the samplerate of the jack server.

When the "connect" property is set to auto, this element will try to connect each output port to a random physical jack input pin. In this mode, the sink will expose the number of physical channels on its pad caps.

When the "connect" property is set to none, the element will accept any number of input channels and will create (but not connect) an output port for each channel.

The element will generate an error when the Jack server is shut down when it was PAUSED or PLAYING. This element does not support dynamic rate and buffer size changes at runtime.

### Example launch line

    1
    gst-launch audiotestsrc ! jackaudiosink

Play a sine wave to using jack.

Last reviewed on 2006-11-30 (0.10.4)

## Details

### GstJackAudioSink

    typedef struct {
      GstBaseAudioSink element;
    } GstJackAudioSink;

Opaque GstJackAudioSink.

## Property Details

### The `"connect"` property

      "connect"                  GstJackConnect        : Read / Write

Specify how the output ports will be connected.

Default value: Automatically connect ports to physical ports

### The `"server"` property

      "server"                   gchar*                : Read / Write

The Jack server to connect to (NULL = default).

Default value: NULL

## See Also

GstBaseAudioSink, GstRingBuffer